// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: system/maintain.proto

package system

import (
	proto "github.com/golang/protobuf/proto"
	status "google.golang.org/genproto/googleapis/rpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

//
// Type: 	RESTful
// Method: 	GET
// URL: 	/system/maintain/debug/log
type DownloadDebugLogResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Bytes  []byte         `protobuf:"bytes,1,opt,name=bytes,proto3" json:"bytes,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DownloadDebugLogResponse) Reset() {
	*x = DownloadDebugLogResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_system_maintain_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadDebugLogResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadDebugLogResponse) ProtoMessage() {}

func (x *DownloadDebugLogResponse) ProtoReflect() protoreflect.Message {
	mi := &file_system_maintain_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadDebugLogResponse.ProtoReflect.Descriptor instead.
func (*DownloadDebugLogResponse) Descriptor() ([]byte, []int) {
	return file_system_maintain_proto_rawDescGZIP(), []int{0}
}

func (x *DownloadDebugLogResponse) GetBytes() []byte {
	if x != nil {
		return x.Bytes
	}
	return nil
}

func (x *DownloadDebugLogResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

//
// Type: 	RESTful
// Method: 	GET
// URL: 	/system/maintain/backup
type DownloadBackupResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Bytes  []byte         `protobuf:"bytes,1,opt,name=bytes,proto3" json:"bytes,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DownloadBackupResponse) Reset() {
	*x = DownloadBackupResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_system_maintain_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadBackupResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadBackupResponse) ProtoMessage() {}

func (x *DownloadBackupResponse) ProtoReflect() protoreflect.Message {
	mi := &file_system_maintain_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadBackupResponse.ProtoReflect.Descriptor instead.
func (*DownloadBackupResponse) Descriptor() ([]byte, []int) {
	return file_system_maintain_proto_rawDescGZIP(), []int{1}
}

func (x *DownloadBackupResponse) GetBytes() []byte {
	if x != nil {
		return x.Bytes
	}
	return nil
}

func (x *DownloadBackupResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

//
// Type: 	RESTful
// Method: 	POST
// URL: 	/system/maintain/restore
// Formdata:
//          key: file
type RestoreConfigResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *status.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *RestoreConfigResponse) Reset() {
	*x = RestoreConfigResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_system_maintain_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RestoreConfigResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RestoreConfigResponse) ProtoMessage() {}

func (x *RestoreConfigResponse) ProtoReflect() protoreflect.Message {
	mi := &file_system_maintain_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RestoreConfigResponse.ProtoReflect.Descriptor instead.
func (*RestoreConfigResponse) Descriptor() ([]byte, []int) {
	return file_system_maintain_proto_rawDescGZIP(), []int{2}
}

func (x *RestoreConfigResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

//
// Type: 	WebSocket
// Method: 	GET
// URL: 	/system/maintain/debug/log/tail
type TailDebugLogResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Lines  []string       `protobuf:"bytes,1,rep,name=lines,proto3" json:"lines,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *TailDebugLogResponse) Reset() {
	*x = TailDebugLogResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_system_maintain_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TailDebugLogResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TailDebugLogResponse) ProtoMessage() {}

func (x *TailDebugLogResponse) ProtoReflect() protoreflect.Message {
	mi := &file_system_maintain_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TailDebugLogResponse.ProtoReflect.Descriptor instead.
func (*TailDebugLogResponse) Descriptor() ([]byte, []int) {
	return file_system_maintain_proto_rawDescGZIP(), []int{3}
}

func (x *TailDebugLogResponse) GetLines() []string {
	if x != nil {
		return x.Lines
	}
	return nil
}

func (x *TailDebugLogResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_system_maintain_proto protoreflect.FileDescriptor

var file_system_maintain_proto_rawDesc = []byte{
	0x0a, 0x15, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x2f, 0x6d, 0x61, 0x69, 0x6e, 0x74, 0x61, 0x69,
	0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x1a, 0x1e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x72,
	0x70, 0x63, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x5c, 0x0a, 0x18, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f,
	0x61, 0x64, 0x44, 0x65, 0x62, 0x75, 0x67, 0x4c, 0x6f, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x79, 0x74, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0c, 0x52, 0x05, 0x62, 0x79, 0x74, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x22, 0x5a, 0x0a, 0x16, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64,
	0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14,
	0x0a, 0x05, 0x62, 0x79, 0x74, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x05, 0x62,
	0x79, 0x74, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70,
	0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x22, 0x43, 0x0a, 0x15, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x43, 0x6f, 0x6e, 0x66, 0x69,
	0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x58, 0x0a, 0x14, 0x54, 0x61, 0x69, 0x6c, 0x44, 0x65, 0x62,
	0x75, 0x67, 0x4c, 0x6f, 0x67, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x6c, 0x69, 0x6e, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x69,
	0x6e, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63,
	0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42,
	0x31, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x74, 0x6f,
	0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x62, 0x2f, 0x68, 0x61, 0x77, 0x6b,
	0x2f, 0x61, 0x70, 0x69, 0x2f, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x3b, 0x73, 0x79, 0x73, 0x74,
	0x65, 0x6d, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_system_maintain_proto_rawDescOnce sync.Once
	file_system_maintain_proto_rawDescData = file_system_maintain_proto_rawDesc
)

func file_system_maintain_proto_rawDescGZIP() []byte {
	file_system_maintain_proto_rawDescOnce.Do(func() {
		file_system_maintain_proto_rawDescData = protoimpl.X.CompressGZIP(file_system_maintain_proto_rawDescData)
	})
	return file_system_maintain_proto_rawDescData
}

var file_system_maintain_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_system_maintain_proto_goTypes = []interface{}{
	(*DownloadDebugLogResponse)(nil), // 0: touchcloud.pb.hawk.api.system.DownloadDebugLogResponse
	(*DownloadBackupResponse)(nil),   // 1: touchcloud.pb.hawk.api.system.DownloadBackupResponse
	(*RestoreConfigResponse)(nil),    // 2: touchcloud.pb.hawk.api.system.RestoreConfigResponse
	(*TailDebugLogResponse)(nil),     // 3: touchcloud.pb.hawk.api.system.TailDebugLogResponse
	(*status.Status)(nil),            // 4: google.rpc.Status
}
var file_system_maintain_proto_depIdxs = []int32{
	4, // 0: touchcloud.pb.hawk.api.system.DownloadDebugLogResponse.status:type_name -> google.rpc.Status
	4, // 1: touchcloud.pb.hawk.api.system.DownloadBackupResponse.status:type_name -> google.rpc.Status
	4, // 2: touchcloud.pb.hawk.api.system.RestoreConfigResponse.status:type_name -> google.rpc.Status
	4, // 3: touchcloud.pb.hawk.api.system.TailDebugLogResponse.status:type_name -> google.rpc.Status
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_system_maintain_proto_init() }
func file_system_maintain_proto_init() {
	if File_system_maintain_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_system_maintain_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadDebugLogResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_system_maintain_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadBackupResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_system_maintain_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RestoreConfigResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_system_maintain_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TailDebugLogResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_system_maintain_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_system_maintain_proto_goTypes,
		DependencyIndexes: file_system_maintain_proto_depIdxs,
		MessageInfos:      file_system_maintain_proto_msgTypes,
	}.Build()
	File_system_maintain_proto = out.File
	file_system_maintain_proto_rawDesc = nil
	file_system_maintain_proto_goTypes = nil
	file_system_maintain_proto_depIdxs = nil
}
